const mongoose = require("mongoose");
const timestamp = require("mongoose-timestamp");
const mongoosePaginate = require("mongoose-paginate-v2");

const modelSchema = new mongoose.Schema({
      price: {
        type: String,
        required: true,
      },
      cuorse_type: {
        type: String,
        required: false,
        trim: true,
        enum: ['normal', 'pro', 'legend'],
      },
   
});

modelSchema.plugin(timestamp);
modelSchema.plugin(mongoosePaginate);
const PostModel = mongoose.model("CoursePayment", modelSchema);
module.exports = PostModel;
